Loading...
Searching...
No Matches
casacore::LatticeHistProgress Class Reference

Provides a progress meter for the LatticeHistograms class. More...

`#include <LatticeHistProgress.h>`

## Public Member Functions

| LatticeHistProgress ()
| Constructor makes a null object.
virtual | ~LatticeHistProgress ()
| Destructor deletes the ProgressMeter pointer.
virtual void | initDerived ()
| Initialize this object.
virtual void | nstepsDone (uInt nsteps)
| Tell the number of steps done so far.
virtual void | done ()
| The process has ended so clean things up.
Public Member Functions inherited from casacore::LatticeProgress
| LatticeProgress ()
virtual | ~LatticeProgress ()
void | init (uInt expectedNsteps)
| Initialize the process.
uInt | expectedNsteps () const
| Recovers the expected number of total steps.

## Private Attributes

ProgressMeter * | itsMeter

## Detailed Description

Provides a progress meter for the LatticeHistograms class.

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- LatticeProgress

### Etymology

Display a progress meter for the class LatticeHistograms

### Synopsis

Progress meters can be displayed by the LatticeApply class which is used by LatticeHistograms in order to optimally iterate through the image. To do this, one must derive a class from LatticeProgress. LatticeApply calls methods declared in LatticeProgress and implemented in the derived class.

### Motivation

I like progress meters !

Definition at line 67 of file LatticeHistProgress.h.

## Constructor & Destructor Documentation

## LatticeHistProgress()

casacore::LatticeHistProgress::LatticeHistProgress | ( |  | ) |

inline

Constructor makes a null object.

Definition at line 72 of file LatticeHistProgress.h.

References itsMeter.

## ~LatticeHistProgress()

virtual casacore::LatticeHistProgress::~LatticeHistProgress | ( |  | ) |

virtual

Destructor deletes the ProgressMeter pointer.

## Member Function Documentation

## done()

virtual void casacore::LatticeHistProgress::done | ( |  | ) |

virtual

The process has ended so clean things up.

Reimplemented from casacore::LatticeProgress.

## initDerived()

virtual void casacore::LatticeHistProgress::initDerived | ( |  | ) |

virtual

Initialize this object.

Here we create the ProgressMeter This function is called by the init in LatticeProgress

Reimplemented from casacore::LatticeProgress.

## nstepsDone()

virtual void casacore::LatticeHistProgress::nstepsDone | ( | uInt | nsteps | ) |

virtual

Tell the number of steps done so far.

Reimplemented from casacore::LatticeProgress.

## Member Data Documentation

## itsMeter

ProgressMeter* casacore::LatticeHistProgress::itsMeter

private

Definition at line 88 of file LatticeHistProgress.h.

Referenced by LatticeHistProgress().

The documentation for this class was generated from the following file:

- lattices/LatticeMath/LatticeHistProgress.h